org.jboss.resteasy.plugins.spring

## Class SpringContextLoaderListener

- java.lang.Object
- - org.springframework.web.context.ContextLoader
  - - org.springframework.web.context.ContextLoaderListener
    - - org.jboss.resteasy.plugins.spring.SpringContextLoaderListener

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public class SpringContextLoaderListener
      extends org.springframework.web.context.ContextLoaderListener

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.context.ContextLoader

      `CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_ID_PARAM, LOCATOR_FACTORY_KEY_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringContextLoaderListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextInitialized(javax.servlet.ServletContextEvent event)`
    `protected org.springframework.web.context.ContextLoader` | `createContextLoader()`
    `protected void` | `customizeContext(javax.servlet.ServletContext servletContext, org.springframework.web.context.ConfigurableWebApplicationContext configurableWebApplicationContext)`

    - ### Methods inherited from class org.springframework.web.context.ContextLoaderListener

      `contextDestroyed, getContextLoader`

    - ### Methods inherited from class org.springframework.web.context.ContextLoader

      `closeWebApplicationContext, createWebApplicationContext, determineContextClass, getCurrentWebApplicationContext, initWebApplicationContext, loadParentContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringContextLoaderListener

          public SpringContextLoaderListener()

  - ### Method Detail

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent event)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`
      Overrides:
        `contextInitialized` in class `org.springframework.web.context.ContextLoaderListener`

    - #### createContextLoader

          protected org.springframework.web.context.ContextLoader createContextLoader()

      Overrides:
        `createContextLoader` in class `org.springframework.web.context.ContextLoaderListener`

    - #### customizeContext

          protected void customizeContext(javax.servlet.ServletContext servletContext,
                              org.springframework.web.context.ConfigurableWebApplicationContext configurableWebApplicationContext)

      Overrides:
        `customizeContext` in class `org.springframework.web.context.ContextLoader`

Copyright © 2014. All Rights Reserved.